version: '3.9'
services:
    mmdvm:
        hostname: 505-nxdn
        image: 'dvswitch'
        restart: unless-stopped
        volumes:
          - /config/505/mmdvm_bridge-nxdn:/opt/MMDVM_Bridge
          - /config/505/nxdngateway:/opt/NXDNGateway
          - /var/log/505:/var/log/mmdvm
          - /data/505/mmdvm/:/var/lib/mmdvm
          - /data/505/dvswitch/:/var/lib/dvswitch
        environment:
          - MMDVM_BRIDGE=1
          - ANALOG_BRIDGE=0
          - NXDNGATEWAY=1
          - NXDNGWCFG=/opt/NXDNGateway/NXDNGateway.ini
        networks:
          stream_net:
            ipv4_address: 10.200.0.16

networks:
    stream_net:
        driver: bridge
        name:  stream_net
        ipam:
           driver: default
           config:
           - subnet: "10.200.0.0/24"
             gateway: "10.200.0.1"
